Package com.google.gwt.user.client.ui

## Interface VerticalScrollbar

- All Superinterfaces:
    `HasHandlers`, `HasScrollHandlers`, `HasVerticalScrolling`, `IsWidget`
  All Known Implementing Classes:
    `NativeVerticalScrollbar`

      public interface VerticalScrollbar
      extends HasVerticalScrolling, HasScrollHandlers, IsWidget

  Describes a vertical scrollbar.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getScrollHeight()` | Get the height in pixels of the scrollable content that the scrollbar controls.
    `void` | `setScrollHeight​(int height)` | Set the height in pixels of the scrollable content that the scrollbar controls.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasScrollHandlers

      `addScrollHandler`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.HasVerticalScrolling

      `getMaximumVerticalScrollPosition, getMinimumVerticalScrollPosition, getVerticalScrollPosition, setVerticalScrollPosition`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IsWidget

      `asWidget`

- - ### Method Detail

    - #### getScrollHeight

          int getScrollHeight()

      Get the height in pixels of the scrollable content that the scrollbar controls.

      This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

      Returns:
        the scroll height
      See Also:
        `setScrollHeight(int)`

    - #### setScrollHeight

          void setScrollHeight​(int height)

      Set the height in pixels of the scrollable content that the scrollbar controls.

      This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

      Parameters:
        `height` - the size height pixels